qubes-usb-proxy (1.3.2+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Sat, 28 Sep 2024 15:49:42 +0200

qubes-usb-proxy (1.3.2) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Replace line-feed with comma plus space in message

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Sep 2024 15:49:42 +0200

qubes-usb-proxy (1.3.1) unstable; urgency=medium

  * tests: assertEquals -> assertEqual

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 24 Aug 2024 02:42:07 +0200

qubes-usb-proxy (1.3.0) unstable; urgency=medium

  [ Piotr Bartman ]
  * q-dev: implement part of new API for DeviceInfo
  * q-dev: events
  * q-dev: DeviceInterface
  * q-dev: assignments -> get_assigned_devices
  * q-dev: fire device-attach on domain start
  * q-dev: usb device full identity
  * q-dev: frontend_device -> attachment
  * q-dev: implementation of self_identity
  * q-dev: port assignment
  * q-dev: use ext/utils
  * q-dev: device protocol
  * q-dev: minor optimization

  [ Piotr Bartman-Szwarc ]
  * q-dev: update integ tests
  * q-dev: fix attaching usb devices on domain start
  * q-dev: small fix for unknown devices
  * q-dev: keep partial backward compatibility
  * q-dev: keep partial backward compatibility for auto-attachment
  * q-dev: keep partial backward compatibility in tests
  * q-dev: do not use unicode_escape
  * q-dev: cleanup
  * q-dev: handle invalid values
  * q-dev: handle invalid values
  * q-dev: fix loop

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 21 Jun 2024 15:29:50 +0200

qubes-usb-proxy (1.2.2) unstable; urgency=medium

  * Do not needlessly reattach device to usbip-host
  * Add mechanism to reset device just before attaching
  * Enable reset on attach for Nitrokey 3 Bootloader

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 29 May 2024 11:48:04 +0200

qubes-usb-proxy (1.2.1) unstable; urgency=medium

  * Remove too strict validation of a trusted parameter

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 15 Apr 2024 03:27:55 +0200

qubes-usb-proxy (1.2.0) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * tests: add trailing newline to qubes.USBAttach input

  [ Demi Marie Obenour ]
  * Clean up various shell scripts
  * Support devices blocked by usbguard

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 27 Mar 2024 21:16:29 +0100

qubes-usb-proxy (1.1.5) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Rework Archlinux packaging
  * Bare support for new packaging with PKGBUILD.in

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 29 Apr 2023 03:28:05 +0200

qubes-usb-proxy (1.1.4) unstable; urgency=medium

  * Add missing import collections

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 18 Jan 2023 22:01:31 +0100

qubes-usb-proxy (1.1.3) unstable; urgency=medium

  [ Rudd-O ]
  * Fix sys-usb: keyerror that prevents persistent attachments on VM
    start.

  [ Frédéric Pierret (fepitre) ]
  * Cleanup python2 code and packaging
  * spec: add BR python3-setuptools

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 18 Jan 2023 13:50:25 +0100

qubes-usb-proxy (1.1.2) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Add Qubes Builder v2 integration
  * .qubesbuilder: replace 'spec' by 'build'

  [ Marek Marczykowski-Górecki ]
  * Use async/await
  * Detach all devices before suspending

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 27 Oct 2022 02:50:39 +0200

qubes-usb-proxy (1.1.1) unstable; urgency=medium

  * Fix checking if modprobe is available
  * tests: increase timeout for device reconnect

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 10 Sep 2021 13:11:39 +0200

qubes-usb-proxy (1.1.0) unstable; urgency=medium

  [ Dmitry Fedorov ]
  * winusb: attach usb device to stubdom if feature enabled
  * winusb: test usb device in stubdom
  * winusb: Write guest domain to the qubesdb when device connected to
    stubdom
  * winusb: make modprobe and udevadm usage optional
  * winusb: fix feature naming
  * winusb: remove redundant rules
  * winusb: fix feature naming

  [ Marek Marczykowski-Górecki ]
  * Make it work on R4.0 too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Jul 2021 05:20:24 +0200

qubes-usb-proxy (1.0.30) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml
  * spec: add BR make

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 23 May 2021 17:28:58 +0200

qubes-usb-proxy (1.0.29) wheezy; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update travis

  [ Marek Marczykowski-Górecki ]
  * Add Super Speed Plus (10000) to allowed speed values

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 15 Aug 2020 01:37:39 +0200

qubes-usb-proxy (1.0.28) unstable; urgency=medium

  * tests: adjust delay after removing/detaching device
  * Keep the process running to not close qrexec connection prematurely

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 01 Apr 2020 02:56:10 +0200

qubes-usb-proxy (1.0.27) unstable; urgency=medium

  * Clear cache when Qubes() object is getting destroyed

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 17 Jan 2020 04:22:13 +0100

qubes-usb-proxy (1.0.26) unstable; urgency=medium

  * Fix attach timeout handling

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 08 Jan 2020 00:07:23 +0100

qubes-usb-proxy (1.0.25) unstable; urgency=medium

  * Add attach timeout
  * Don't include python2 tests on new dom0 (based on >f28)
  * travis: switch R4.1 to fc31 dom0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 06 Jan 2020 03:33:59 +0100

qubes-usb-proxy (1.0.24) unstable; urgency=medium

  * Fix device cache initialization

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 11 Dec 2019 06:00:23 +0100

qubes-usb-proxy (1.0.23) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

  [ Marek Marczykowski-Górecki ]
  * Send events even when device is attached/detached by alternative
    method
  * Ensure dom0 receives events on attach/detach

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 10 Dec 2019 17:27:03 +0100

qubes-usb-proxy (1.0.22) wheezy; urgency=medium

  * Fix granting/revoking qubes.USB service access
  * travis: switch to xenial, drop R3.2, update distros

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 10 Oct 2019 14:51:43 +0200

qubes-usb-proxy (1.0.21) unstable; urgency=medium

  [ Malte Leip ]
  * usb-export: always unbind from current driver

  [ Nicco Kunzmann ]
  * Add error message with source
  * Clarify how to install this package securely

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 16 May 2019 20:12:29 +0200

qubes-usb-proxy (1.0.20) unstable; urgency=medium

  [ Nicco Kunzmann ]
  * Clarify how to install this package sucurely
  * Add error message with source

  [ Marek Marczykowski-Górecki ]
  * Automatically re-connect persistent device when it gets plugged back
  * tests: verify automatic re-connection of the device
  * rpm: fix dom0 spec file
  * travis: add R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 08 Mar 2019 03:01:30 +0100

qubes-usb-proxy (1.0.19) unstable; urgency=medium

  * tests: skip test for whonix-gw
  * rpm: fix build dependencies for dom0 package
  * travis: update Fedora and Debian versions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Oct 2018 04:44:11 +0200

qubes-usb-proxy (1.0.18) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * tests: mark attach_not_installed_back with expectedFailure

  [ Frédéric Pierret ]
  * Create .spec.in and Source0
  * spec.in: add changelog placeholder

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 07 May 2018 19:53:03 +0200

qubes-usb-proxy (1.0.17) unstable; urgency=medium

  * Restore workaround for typo in usbip port status header

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 21 Mar 2018 02:40:53 +0100

qubes-usb-proxy (1.0.16) unstable; urgency=medium

  * core3ext: do not include dom0 devices by default
  * core3ext: attach devices in -pre event
  * core3ext: send device-list-change event on backend domain shutdown

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 13 Feb 2018 05:17:46 +0100

qubes-usb-proxy (1.0.15) unstable; urgency=medium

  * Depends on usbutils

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 22 Jan 2018 21:31:56 +0100

qubes-usb-proxy (1.0.14) unstable; urgency=medium

  * Fix handling SuperSpeed port numbers

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 19 Jan 2018 04:36:01 +0100

qubes-usb-proxy (1.0.13) unstable; urgency=medium

  * Fix device path for kernel >= 4.13
  * Add support for USB3
  * tests: mark attach_not_installed_back with expectedFailure
  * tests: install python modules for both python2 and python3
  * tests: load dummy-hcd module
  * tests: update core3 tests for the final API and python3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 18 Jan 2018 17:37:01 +0100

qubes-usb-proxy (1.0.12) unstable; urgency=medium

  [ Nedyalko Andreev ]
  * Add a simple PKGBUILD file for archlinux builds

  [ Marek Marczykowski-Górecki ]
  * Fix VM startup with USB device assigned (core3)
  * core3: do not fail listing on devices without description
  * Improve error message when backend fails to send device info

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 21 Nov 2017 05:07:11 +0100

qubes-usb-proxy (1.0.11) unstable; urgency=medium

  * core3: ignore non-ascii characters in device description

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 11 Aug 2017 13:35:02 +0200

qubes-usb-proxy (1.0.10) unstable; urgency=medium

  * core3: fix qdb->untrusted_qdb in one more place
  * core3: hide device hardware id ni description

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 29 Jul 2017 14:27:49 +0200

qubes-usb-proxy (1.0.9) unstable; urgency=medium

  * Follow vm.qdb -> vm.untrusted_qdb rename
  * core3: follow change of qdb.list return type
  * core3: translate QubesDB changes into device-list-change event

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 29 Jul 2017 05:35:00 +0200

qubes-usb-proxy (1.0.8) unstable; urgency=medium

  * Do not use sudo if already running as root
  * Migrate core3 extension to Python3, adjust to updated API (part 2)

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 05 Jul 2017 02:45:50 +0200

qubes-usb-proxy (1.0.7) unstable; urgency=medium

  * Adjust to updated API (part 2)

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 26 Jun 2017 12:45:30 +0200

qubes-usb-proxy (1.0.6) unstable; urgency=medium

  * Add core3 integration
  * tests: core3 integration
  * rpm: include egg-info directory
  * Add required lxml to setup.py
  * travis: drop debootstrap workaround
  * core3: allow devices connected to hubs
  * travis: add Qubes 4.0 builds
  * Migrate core3 extension to Python3, adjust to updated API (part 1)
  * rpm: fix build dependencies (migration to python3)

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 24 Jun 2017 10:34:35 +0200

qubes-usb-proxy (1.0.5) wheezy; urgency=medium

  * Fix bash-ism one more time

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 19 Jul 2016 01:44:11 +0200

qubes-usb-proxy (1.0.4) wheezy; urgency=medium

  * Prefer reporting error code from backend domain
  * tests: handle package not installed errors
  * rpm: use `version` file for dom0 package too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 12 Jul 2016 06:23:29 +0200

qubes-usb-proxy (1.0.3) wheezy; urgency=medium

  * Fix detecting disconnected device
  * Fix announcing where device is connected

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 03 Jul 2016 23:30:09 +0200

qubes-usb-proxy (1.0.2) wheezy; urgency=medium

  * One more bash-related fix
  * tests: increase wait time for device disconnection

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 24 Jun 2016 22:44:26 +0200

qubes-usb-proxy (1.0.1) wheezy; urgency=medium

  * Don't use bash-specific features
  * rpm: use `version` file for package version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 18 Jun 2016 02:10:56 +0200

qubes-usb-proxy (1.0.0) wheezy; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 02 Jun 2016 04:26:51 +0200

qubes-usb-proxy (0.1) unstable; urgency=low

  * Initial release for debian

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 02 Jun 2016 04:01:36 +0200
